
::-webkit-scrollbar {
	width: 10px;
}
::-webkit-scrollbar-thumb {
	background-color: #999;
	border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
	background-color: #555;
}
::-webkit-scrollbar-button {
	background: transparent;
	height: 0;
}
h1 {
	margin: 0;
	margin-top: 15px;
	text-align: center;
}
h2 {
	color: #888;
	font-size: 2vh;
	font-weight: normal;
	margin: 0;
	padding: 0 15px;
	text-align: right;
}

#bodyConversation {
	background-color: #222;
	display: grid;
	font-family: Calibri;
	font-size: 2.5vh;
	grid-template-columns: 1fr auto 1fr;
	margin: 0;
	padding: 2vh 4vh;
}
#bodyIndex {
	font-family: Calibri;
}
#bodyIndex h1 {
	font-size: 5vh;
	margin: 2vh;
}
#conversation {
	background-color: white;
	box-shadow: inset 0 0 5px black;
	overflow: auto;
	padding: 10px;
}
#conversationWatch {
	display: grid;
	grid-template-rows: 9.6vh auto 9.6vh;
	height: 96vh;
	width: 54vh;
}
#conversationsList {
	background-color: #EEE;
	border: 1px solid #CCC;
	border-radius: 2vh;
	box-shadow: 0 0 1vh #CCC;
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
}
#conversationsList a {
	background-color: #CCC;
	border-radius: 1vh;
	color: #555;
	display: grid;
	grid-template-columns: 1fr auto;
	padding: 1vh;
	margin: 1vh;
	text-decoration: none;
}
#menu {
	background-color: #000;
	display: grid;
	grid-gap: 0vh;
	grid-template-columns: 1fr 1fr 1fr;
	overflow: hidden;
	position: relative;
}
#sortBy {
	display: grid;
	font-size: 2vh;
	grid-template-columns: auto 1fr;
	margin-bottom: 2vh;
}
#sortBy p {
	margin: 0;
	padding: 2vh;
}
#sortBy select {
	font-size: 2vh;
	height: 6vh;
}
#titleBar {
	background-color: #DDE;
}

.info {
	color: #888;
	font-size: 0.7em;
	padding: 0 10px;
	text-align: center;
}
.linkTitle {
	margin: 0;
	padding: 0;
}
.linkViewsNumber {
	font-size: 2vh;
	margin: 0;
}
.linkViewsNumberText{
	font-size: 1vh;
	margin: 0;
}
.linkViewsThing {
	border-left: 1px solid #999;
	padding-left: 1vh;
}
.menuLink {
	height: 9.6vh;
	text-align: center;
}
.menuLink a {
	display: inline-block;
	height: 100%;
}
.menuLink a img {
	height: 80%;
	margin: 10% 0;
}
.message {
	border-radius: 5px 0 0 5px;
	display: block;
	line-height: 0;
	margin: 5px 0;
	position: relative;
}
.message p {
	margin: 15px 20px;
}
.message:first-of-type {
	margin-top: 0;
}
.message:first-of-type * {
	border-top-left-radius: 20px;
}
.message:last-of-type {
	margin-bottom: 0;
}
.message:last-of-type * {
	border-bottom-left-radius: 20px;
}
.message img {
	display: block;
	max-width: 40vh;
	max-height: 40vw;
}
.messageBlock {
	column-gap: 5px;
	display: grid;
	grid-template-columns: 45px 1fr;
	margin: 10px 0;
	padding-right: 15px;
}
.messageBubble {
	border-radius: 0 20px 20px 0;
	display: inline-block;
	line-height: 1em;
	overflow: hidden;
	word-break: break-word;
}
.messageLikes {
	background-color: #DDD;
	border: 1px solid #777;
	border-radius: 2vh !important;
	bottom: -1.5vh;
	height: 16px;
	left: 1vh;
	padding: 0.5vh;
	position: absolute;
	width: auto;
	z-index: 1;
}
.messageLikes img {
	border-radius: 2vh !important;
	display: inline-block;
	height: 2vh;
	margin: 0 0.2vh;
	width: 2vh;
}
.messageLikes p {
	display: inline-block;
	margin: 0;
}
.profile {
	display: grid;
	grid-template-rows: 1fr auto;
}
.profileName {
	color: #888;
	font-size: 0.7em;
	margin: 0;
}
.profilePicture {
	background-position: center;
	background-size: cover;
	border-radius: 50%;
	box-shadow: 0 0 5px rgba( 0, 0, 0, 0.25 );
	height: 40px;
	width: 40px;
}
.read {
	text-align: right;
}

@media ( max-aspect-ratio: 3/5 ){
	body {
		grid-template-columns: auto;
		grid-template-rows: 1fr auto 1fr;
		padding: 3vw 5vw;
	}
	section {
		background: #9ff;
		grid-template-rows: 16vw auto 16vw;
		height: 160vw;
		width: 90vw;
	}
}
